/* DO NOT EDIT: This file is automatically generated by Cabal */

/* package RecurrenceService-0.1.0.0 */
#ifndef VERSION_RecurrenceService
#define VERSION_RecurrenceService "0.1.0.0"
#endif /* VERSION_RecurrenceService */
#ifndef MIN_VERSION_RecurrenceService
#define MIN_VERSION_RecurrenceService(major1,major2,minor) (\
  (major1) <  0 || \
  (major1) == 0 && (major2) <  1 || \
  (major1) == 0 && (major2) == 1 && (minor) <= 0)
#endif /* MIN_VERSION_RecurrenceService */

/* package base-4.10.1.0 */
#ifndef VERSION_base
#define VERSION_base "4.10.1.0"
#endif /* VERSION_base */
#ifndef MIN_VERSION_base
#define MIN_VERSION_base(major1,major2,minor) (\
  (major1) <  4 || \
  (major1) == 4 && (major2) <  10 || \
  (major1) == 4 && (major2) == 10 && (minor) <= 1)
#endif /* MIN_VERSION_base */

/* package classy-prelude-1.4.0 */
#ifndef VERSION_classy_prelude
#define VERSION_classy_prelude "1.4.0"
#endif /* VERSION_classy_prelude */
#ifndef MIN_VERSION_classy_prelude
#define MIN_VERSION_classy_prelude(major1,major2,minor) (\
  (major1) <  1 || \
  (major1) == 1 && (major2) <  4 || \
  (major1) == 1 && (major2) == 4 && (minor) <= 0)
#endif /* MIN_VERSION_classy_prelude */

/* package scotty-0.11.2 */
#ifndef VERSION_scotty
#define VERSION_scotty "0.11.2"
#endif /* VERSION_scotty */
#ifndef MIN_VERSION_scotty
#define MIN_VERSION_scotty(major1,major2,minor) (\
  (major1) <  0 || \
  (major1) == 0 && (major2) <  11 || \
  (major1) == 0 && (major2) == 11 && (minor) <= 2)
#endif /* MIN_VERSION_scotty */

/* package blaze-html-0.9.1.1 */
#ifndef VERSION_blaze_html
#define VERSION_blaze_html "0.9.1.1"
#endif /* VERSION_blaze_html */
#ifndef MIN_VERSION_blaze_html
#define MIN_VERSION_blaze_html(major1,major2,minor) (\
  (major1) <  0 || \
  (major1) == 0 && (major2) <  9 || \
  (major1) == 0 && (major2) == 9 && (minor) <= 1)
#endif /* MIN_VERSION_blaze_html */

/* package aeson-1.2.4.0 */
#ifndef VERSION_aeson
#define VERSION_aeson "1.2.4.0"
#endif /* VERSION_aeson */
#ifndef MIN_VERSION_aeson
#define MIN_VERSION_aeson(major1,major2,minor) (\
  (major1) <  1 || \
  (major1) == 1 && (major2) <  2 || \
  (major1) == 1 && (major2) == 2 && (minor) <= 4)
#endif /* MIN_VERSION_aeson */

/* package bytestring-0.10.8.2 */
#ifndef VERSION_bytestring
#define VERSION_bytestring "0.10.8.2"
#endif /* VERSION_bytestring */
#ifndef MIN_VERSION_bytestring
#define MIN_VERSION_bytestring(major1,major2,minor) (\
  (major1) <  0 || \
  (major1) == 0 && (major2) <  10 || \
  (major1) == 0 && (major2) == 10 && (minor) <= 8)
#endif /* MIN_VERSION_bytestring */

/* package text-1.2.3.0 */
#ifndef VERSION_text
#define VERSION_text "1.2.3.0"
#endif /* VERSION_text */
#ifndef MIN_VERSION_text
#define MIN_VERSION_text(major1,major2,minor) (\
  (major1) <  1 || \
  (major1) == 1 && (major2) <  2 || \
  (major1) == 1 && (major2) == 2 && (minor) <= 3)
#endif /* MIN_VERSION_text */

/* package hashable-1.2.7.0 */
#ifndef VERSION_hashable
#define VERSION_hashable "1.2.7.0"
#endif /* VERSION_hashable */
#ifndef MIN_VERSION_hashable
#define MIN_VERSION_hashable(major1,major2,minor) (\
  (major1) <  1 || \
  (major1) == 1 && (major2) <  2 || \
  (major1) == 1 && (major2) == 2 && (minor) <= 7)
#endif /* MIN_VERSION_hashable */

/* package random-1.1 */
#ifndef VERSION_random
#define VERSION_random "1.1"
#endif /* VERSION_random */
#ifndef MIN_VERSION_random
#define MIN_VERSION_random(major1,major2,minor) (\
  (major1) <  1 || \
  (major1) == 1 && (major2) <  1 || \
  (major1) == 1 && (major2) == 1 && (minor) <= 0)
#endif /* MIN_VERSION_random */

/* package string-interpolate-0.1.0.1 */
#ifndef VERSION_string_interpolate
#define VERSION_string_interpolate "0.1.0.1"
#endif /* VERSION_string_interpolate */
#ifndef MIN_VERSION_string_interpolate
#define MIN_VERSION_string_interpolate(major1,major2,minor) (\
  (major1) <  0 || \
  (major1) == 0 && (major2) <  1 || \
  (major1) == 0 && (major2) == 1 && (minor) <= 0)
#endif /* MIN_VERSION_string_interpolate */

/* package o-clock-0.1.1 */
#ifndef VERSION_o_clock
#define VERSION_o_clock "0.1.1"
#endif /* VERSION_o_clock */
#ifndef MIN_VERSION_o_clock
#define MIN_VERSION_o_clock(major1,major2,minor) (\
  (major1) <  0 || \
  (major1) == 0 && (major2) <  1 || \
  (major1) == 0 && (major2) == 1 && (minor) <= 1)
#endif /* MIN_VERSION_o_clock */

/* tool cpphs-1.20.8 */
#ifndef TOOL_VERSION_cpphs
#define TOOL_VERSION_cpphs "1.20.8"
#endif /* TOOL_VERSION_cpphs */
#ifndef MIN_TOOL_VERSION_cpphs
#define MIN_TOOL_VERSION_cpphs(major1,major2,minor) (\
  (major1) <  1 || \
  (major1) == 1 && (major2) <  20 || \
  (major1) == 1 && (major2) == 20 && (minor) <= 8)
#endif /* MIN_TOOL_VERSION_cpphs */

/* tool gcc-8 */
#ifndef TOOL_VERSION_gcc
#define TOOL_VERSION_gcc "8"
#endif /* TOOL_VERSION_gcc */
#ifndef MIN_TOOL_VERSION_gcc
#define MIN_TOOL_VERSION_gcc(major1,major2,minor) (\
  (major1) <  8 || \
  (major1) == 8 && (major2) <  0 || \
  (major1) == 8 && (major2) == 0 && (minor) <= 0)
#endif /* MIN_TOOL_VERSION_gcc */

/* tool ghc-8.2.2 */
#ifndef TOOL_VERSION_ghc
#define TOOL_VERSION_ghc "8.2.2"
#endif /* TOOL_VERSION_ghc */
#ifndef MIN_TOOL_VERSION_ghc
#define MIN_TOOL_VERSION_ghc(major1,major2,minor) (\
  (major1) <  8 || \
  (major1) == 8 && (major2) <  2 || \
  (major1) == 8 && (major2) == 2 && (minor) <= 2)
#endif /* MIN_TOOL_VERSION_ghc */

/* tool ghc-pkg-8.2.2 */
#ifndef TOOL_VERSION_ghc_pkg
#define TOOL_VERSION_ghc_pkg "8.2.2"
#endif /* TOOL_VERSION_ghc_pkg */
#ifndef MIN_TOOL_VERSION_ghc_pkg
#define MIN_TOOL_VERSION_ghc_pkg(major1,major2,minor) (\
  (major1) <  8 || \
  (major1) == 8 && (major2) <  2 || \
  (major1) == 8 && (major2) == 2 && (minor) <= 2)
#endif /* MIN_TOOL_VERSION_ghc_pkg */

/* tool haddock-2.18.1 */
#ifndef TOOL_VERSION_haddock
#define TOOL_VERSION_haddock "2.18.1"
#endif /* TOOL_VERSION_haddock */
#ifndef MIN_TOOL_VERSION_haddock
#define MIN_TOOL_VERSION_haddock(major1,major2,minor) (\
  (major1) <  2 || \
  (major1) == 2 && (major2) <  18 || \
  (major1) == 2 && (major2) == 18 && (minor) <= 1)
#endif /* MIN_TOOL_VERSION_haddock */

/* tool happy-1.19.9 */
#ifndef TOOL_VERSION_happy
#define TOOL_VERSION_happy "1.19.9"
#endif /* TOOL_VERSION_happy */
#ifndef MIN_TOOL_VERSION_happy
#define MIN_TOOL_VERSION_happy(major1,major2,minor) (\
  (major1) <  1 || \
  (major1) == 1 && (major2) <  19 || \
  (major1) == 1 && (major2) == 19 && (minor) <= 9)
#endif /* MIN_TOOL_VERSION_happy */

/* tool hpc-0.67 */
#ifndef TOOL_VERSION_hpc
#define TOOL_VERSION_hpc "0.67"
#endif /* TOOL_VERSION_hpc */
#ifndef MIN_TOOL_VERSION_hpc
#define MIN_TOOL_VERSION_hpc(major1,major2,minor) (\
  (major1) <  0 || \
  (major1) == 0 && (major2) <  67 || \
  (major1) == 0 && (major2) == 67 && (minor) <= 0)
#endif /* MIN_TOOL_VERSION_hpc */

/* tool hsc2hs-0.68.2 */
#ifndef TOOL_VERSION_hsc2hs
#define TOOL_VERSION_hsc2hs "0.68.2"
#endif /* TOOL_VERSION_hsc2hs */
#ifndef MIN_TOOL_VERSION_hsc2hs
#define MIN_TOOL_VERSION_hsc2hs(major1,major2,minor) (\
  (major1) <  0 || \
  (major1) == 0 && (major2) <  68 || \
  (major1) == 0 && (major2) == 68 && (minor) <= 2)
#endif /* MIN_TOOL_VERSION_hsc2hs */

/* tool hscolour-1.24 */
#ifndef TOOL_VERSION_hscolour
#define TOOL_VERSION_hscolour "1.24"
#endif /* TOOL_VERSION_hscolour */
#ifndef MIN_TOOL_VERSION_hscolour
#define MIN_TOOL_VERSION_hscolour(major1,major2,minor) (\
  (major1) <  1 || \
  (major1) == 1 && (major2) <  24 || \
  (major1) == 1 && (major2) == 24 && (minor) <= 0)
#endif /* MIN_TOOL_VERSION_hscolour */

/* tool pkg-config-0.29.1 */
#ifndef TOOL_VERSION_pkg_config
#define TOOL_VERSION_pkg_config "0.29.1"
#endif /* TOOL_VERSION_pkg_config */
#ifndef MIN_TOOL_VERSION_pkg_config
#define MIN_TOOL_VERSION_pkg_config(major1,major2,minor) (\
  (major1) <  0 || \
  (major1) == 0 && (major2) <  29 || \
  (major1) == 0 && (major2) == 29 && (minor) <= 1)
#endif /* MIN_TOOL_VERSION_pkg_config */

/* tool runghc-8.2.2 */
#ifndef TOOL_VERSION_runghc
#define TOOL_VERSION_runghc "8.2.2"
#endif /* TOOL_VERSION_runghc */
#ifndef MIN_TOOL_VERSION_runghc
#define MIN_TOOL_VERSION_runghc(major1,major2,minor) (\
  (major1) <  8 || \
  (major1) == 8 && (major2) <  2 || \
  (major1) == 8 && (major2) == 2 && (minor) <= 2)
#endif /* MIN_TOOL_VERSION_runghc */

/* tool strip-2.31 */
#ifndef TOOL_VERSION_strip
#define TOOL_VERSION_strip "2.31"
#endif /* TOOL_VERSION_strip */
#ifndef MIN_TOOL_VERSION_strip
#define MIN_TOOL_VERSION_strip(major1,major2,minor) (\
  (major1) <  2 || \
  (major1) == 2 && (major2) <  31 || \
  (major1) == 2 && (major2) == 31 && (minor) <= 0)
#endif /* MIN_TOOL_VERSION_strip */

#ifndef CURRENT_COMPONENT_ID
#define CURRENT_COMPONENT_ID "RecurrenceService-0.1.0.0-FYO0wcDVmof2ANhfddlpSU-RecurrenceService"
#endif /* CURRENT_COMPONENT_ID */
#ifndef CURRENT_PACKAGE_VERSION
#define CURRENT_PACKAGE_VERSION "0.1.0.0"
#endif /* CURRENT_PACKAGE_VERSION */

#undef CURRENT_PACKAGE_KEY
#undef CURRENT_COMPONENT_ID
